Page MenuHomePhabricator

Switch to VE button presented on Create page but doesn't function
Closed, ResolvedPublic1 Estimated Story Points

Description

Take: https://simple.wikipedia.org/w/index.php?title=Sjdljfa&action=edit

On this page, the VE button is presented, but you cannot actually create pages here

Event Timeline

TheDJ created this task.Nov 9 2015, 10:00 AM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 9 2015, 10:00 AM
TheDJ added a comment.Nov 9 2015, 3:02 PM

Wouldn't it be handier to set this ticket as "blocked by" instead of duplicate ?
Separating the higher level user story from the technical details.

Krenair added a subscriber: Krenair.Nov 9 2015, 5:03 PM

Not if they end up being fixed by the same change...

matmarex reopened this task as Open.Nov 9 2015, 5:45 PM
matmarex added a subscriber: matmarex.

This is so not a duplicate, and should be fixed in VE regardless of RESTBase problems.

You mean special cased in VE because RESTBase can't handle it?

Change 252014 had a related patch set uploaded (by Bartosz Dziewoński):
ve.init.mw.DesktopArticleTarget.init: Make switching to VE for new pages work

https://gerrit.wikimedia.org/r/252014

matmarex triaged this task as Unbreak Now! priority.Nov 9 2015, 5:55 PM

This literally prevents users from starting new articles using VE. I think it deserves higher priority.

Change 252014 merged by Alex Monk:
ve.init.mw.DesktopArticleTarget.init: Make switching to VE for new pages work

https://gerrit.wikimedia.org/r/252014

Change 252123 had a related patch set uploaded (by Jforrester):
ve.init.mw.DesktopArticleTarget.init: Make switching to VE for new pages work

https://gerrit.wikimedia.org/r/252123

Change 252123 merged by Jforrester:
ve.init.mw.DesktopArticleTarget.init: Make switching to VE for new pages work

https://gerrit.wikimedia.org/r/252123

Jdforrester-WMF changed the task status from Duplicate to Resolved.Nov 10 2015, 6:31 PM
Jdforrester-WMF claimed this task.

T118070 should be fixed now, should we revert the workaround on master?

T118070 should be fixed now, should we revert the workaround on master?

We did: https://www.mediawiki.org/wiki/ThisPageDoesNotExist?action=edit

Pretty sure we didn't. That page still has the behavior I implemented in the workaround from this task.

Pretty sure we didn't. That page still has the behavior I implemented in the workaround from this task.

That's the fix, yes.

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:00 AM